# Ogre::AnimationTrack::Listener Class Reference

Listener allowing you to override certain behaviour of a track, for example to drive animation procedurally. More...

`#include <OgreAnimationTrack.h>`

List of all members.

## Public Member Functions

virtual | ~Listener ()
virtual bool | getInterpolatedKeyFrame (const AnimationTrack *t, const TimeIndex &timeIndex, KeyFrame *kf)=0
| Get an interpolated keyframe for this track at the given time.

## Detailed Description

Listener allowing you to override certain behaviour of a track, for example to drive animation procedurally.

Definition at line 123 of file OgreAnimationTrack.h.

## Constructor & Destructor Documentation

virtual Ogre::AnimationTrack::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 126 of file OgreAnimationTrack.h.

## Member Function Documentation

virtual bool Ogre::AnimationTrack::Listener::getInterpolatedKeyFrame | ( | const AnimationTrack * | t,
|  | const TimeIndex & | timeIndex,
|  | KeyFrame * | kf |
| ) |  |  | `[pure virtual]`

Get an interpolated keyframe for this track at the given time.

Returns:
  true if the KeyFrame was populated, false if not.

The documentation for this class was generated from the following file:

- OgreAnimationTrack.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:33 2009